Bug 18800 - The sheet made by HSSFWorkbook#cloneSheet() doesn't work correctly
Summary: The sheet made by HSSFWorkbook#cloneSheet() doesn't work correctly
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-pre3
Hardware: All other
: P3 major (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-08 07:53 UTC by Toshiaki Kamoshida
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
A simple testcase to find it.NullPointerException is caused at line22. (898 bytes, text/plain)
2003-04-08 07:56 UTC, Toshiaki Kamoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toshiaki Kamoshida 2003-04-08 07:53:34 UTC
Hi,

After Bug 15050 is fixed,I tried to make a sheet with HSSFWorkbook#cloneSheet() 
cheerfully,and I found a problem.We can't create a row(with HSSFSheet#createRow
()) to the sheet made by HSSFWorkbook#cloneSheet().
Comment 1 Toshiaki Kamoshida 2003-04-08 07:56:26 UTC
Created attachment 5687 [details]
A simple testcase to find it.NullPointerException is caused at line22.
Comment 2 Andy Oliver 2003-07-24 16:09:01 UTC
help its attack of the clones!  He has a test case.  This is a good bug.  I'm on
the fence as to whether its serious enough to hold up 2.0.  I'm erring on the
side of yes because he submits test cases.... :-)
Comment 3 Avik Sengupta 2003-10-30 17:24:00 UTC
Works. Testcase added.